> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Predict Mmo Provider Info



## OpenAPI

````yaml https://api.heydollr.app/openapi.json get /{version}/predictions/mmo-provider-info
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/predictions/mmo-provider-info:
    get:
      tags:
        - predictions
      summary: Predict Mmo Provider Info
      operationId: predict_mmo_provider_info__version__predictions_mmo_provider_info_get
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: phone
          in: query
          required: true
          schema:
            type: string
            minLength: 8
            maxLength: 16
            pattern: ^[1-9]\d{7,14}$
            title: Phone number
            description: >-
              E.164 digits only, without '+' (e.g. 231771234567). A leading '+'
              is accepted and removed.
          description: >-
            E.164 digits only, without '+' (e.g. 231771234567). A leading '+' is
            accepted and removed.
        - name: operation_type
          in: query
          required: true
          schema:
            enum:
              - COLLECTION
              - PAYOUT
              - TRANSFER
              - REFUND
            type: string
            title: Operation type (e.g. COLLECTION, PAYOUT)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PredictPhonePaymentInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PredictPhonePaymentInfoResponse:
      properties:
        carrier:
          type: string
          title: Carrier
        country:
          type: string
          title: Country
        currencies:
          items:
            type: string
            maxLength: 3
            minLength: 3
          type: array
          title: Currencies
        phone:
          type: string
          maxLength: 15
          minLength: 8
          title: Phone
          description: E.164 digits only, without '+' (e.g. 231771234567)
        payment_method:
          type: string
          title: Payment Method
        gateway_provider:
          type: string
          title: Gateway Provider
        operation_type:
          type: string
          title: Operation Type
      type: object
      required:
        - carrier
        - country
        - currencies
        - phone
        - payment_method
        - gateway_provider
        - operation_type
      title: PredictPhonePaymentInfoResponse
      description: PredictPhonePaymentInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````